Skip Navigation Links

Task Recipients

List recipients for taskexperimental

Requires authentication via bearer.

Returns a paginated list of potential recipients for a task, including both already-assigned users and users who could be assigned. Use the assignment_status filter to narrow results to only assigned or only unassigned recipients. Use progress_status to filter assigned users by their task progress.

Path Params

task_id stringrequired

The primary identifier of the task to access.

Query Params

search_term string

Defines the search term to search for users by their first and / or last name. To search for multiple words, the words are comma seperated. Example "Hans, Mueller". The search term is case-insensitive.

assignment_status string[]
progress_status string[]

Filter for the assignment progress status. Possible values are:

  • NEW: The recipient has never seen the task before.
  • OPEN: The recipient has seen but not finished the task.
  • FINISHED: The recipient has finished the task.
page_cursor string

A cursor pointing to the first item to be contained in the response array. Refer to our general "pagination" concept for more information.

page_limit integer

The maximum number of items to be contained in the response array. Refer to our general "pagination" concept for more information.

sort string[]

Sort options for task recipients. Each option has ascending (_ASC) and descending (_DESC) variants:

  • LASTNAME: Sort by the recipient's last name alphabetically.
  • FIRSTNAME: Sort by the recipient's first name alphabetically.

Response Body

200 OK

Error Codes

  • FEATURE_DISABLED
  • TASK_NOT_FOUND